import logging
import ConfigParser
from StringIO import StringIO
import datetime

from pylons import request, response, session, tmpl_context as c, url
from pylons.controllers.util import abort, redirect

from mapwocgui.lib.base import BaseController, render
from mapwocgui.model import Session
from mapwoc.lib.scanconfiguration import ScanConfiguration
import mapwocgui.model.masterproxy as master

log = logging.getLogger(__name__)

class StateController(BaseController):

    def index(self):
        c.masterproxy_state_set = master.get_state_set()
        c.master_version = master.get_version()
        c.nodestates = c.masterproxy_state_set.get('nodes')
        if c.masterproxy_state_set.get('redirector'):
            c.redirectorstate = c.masterproxy_state_set.get('redirector').get('state')
            c.redirectorproxy_state = c.masterproxy_state_set.get('redirector')
            c.redirectorproxy_last_urls = c.redirectorproxy_state.get('last_urls')
            c.redirectorproxy_next_urls = c.redirectorproxy_state.get('next_urls')
        else:
            c.redirectorstate = 'n/a'
            c.redirectorproxy_last_urls = []
            c.redirectorproxy_next_urls = ['n/a']

        c.current_scan = c.masterproxy_state_set.get('scanname')
        if c.current_scan:
            c.current_scan_id = Session.query(ScanConfiguration).filter_by(
                    name=c.current_scan).first().id

        c.hcs = master.get_hcs()

        return render('/state/index_state.mako')

