<%inherit file="../base.mako"/>
<%def name="title()">${_(u"Scans")}</%def>

<%def name="scan_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box_start" />
<%namespace file="../base.mako" import="box_end" />

${box_start(_(u"New Scan"))}
${h.form(h.url_for(controller='scan', action='new'))}

<h3>${_(u"General")}</h3>
<table>
  <tr><td>${_(u"Name")}</td><td>${h.text(name="name",id="name")}</td></tr>
  <tr><td>${_(u"Comment")}</td><td>${h.text(name="comment",id="comment")}</td></tr>
  <tr><td>${_(u"Description")}</td><td>${h.text(name="description",id="description")}</td></tr>
</table>

<h3>${_(u"URLs")}</h3>
${h.field(h.select('urllist',
                     id='urllist',
                     selected_values=[],
                     options=sorted(c.available_urllists, key=lambda x: x[1],
                        cmp=lambda x,y: cmp(x.lower(), y.lower())),
                     multiple=True,
                     size=10))}
<br/>

<h3>${_(u"HCs")}</h3>
<table>
  <tr><th>${_(u"Name")}</th>
      <th>${_(u"ID")}</th>
      <th>${_(u"Number")}</th>
      <th>${_(u"Description")}</th>
      <th>${_(u"On Node")}</th>
  </tr>
%for hc in c.hcs:
  %for node in hc.on_nodes:
    <tr><td>${hc.name}</td>
        <td>${hc.hcsid}</td>
        <td>${h.select("hc" + hc.hcsid + "," + node,
                       id="hc" + hc.hcsid + "," + node,
                       selected_values=[],
                       options=[0,1,2,3,4,5])}</td>
        <td>${hc.description}</td>
        <td>${node}</td>
    </tr>
  %endfor
%endfor
</table>

<h3>${_(u"Options")}</h3>
<table>
  <tr><td>${_(u"Fast Scan:")}</td><td>${h.checkbox(name="fastscan",id="fastscan")}</td>
  <td>${_(u"Number of pages:")}</td><td>${h.select(name='num_urls',id='num_urls',selected_values=[],options=[2,3,4,5])}</td></tr>
  <tr><td>${_(u"Active Window:")}</td><td>${h.select('active_window',id='active_window',selected_values=[],options=[20,30,45,60,90,120,180,240,300])}</td></tr>
  <tr><td><br/>${h.submit(name="button", value=_(u"Create"))}</td><td></td></tr>
</table>
${h.end_form()}
${box_end()}

