<%inherit file="../base.mako"/>
<%def name="title()">${_(u"System State")}</%def>

<%def name="state_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box_start" />
<%namespace file="../base.mako" import="box_end" />

${box_start(_(u"State of the System"))}

<h2>${_(u"Current Scan")}</h2>
<ul>
  <li>${_(u"Master (v%s) is: %s") % (c.master_version, c.masterproxy_state_set.get('master'))}
      %if c.current_scan:
        (${h.link_to(c.current_scan,
            h.url_for(controller='scan', action='view', id=c.current_scan_id))})
        (${h.link_to('Stop', h.url_for(controller='scan',action='stop'))})
      %endif
  </li>
</ul>

<h2>${_(u"State of Nodes")}</h2>
<ul>
%if c.nodestates:
    %for nodename,state in c.nodestates.items():
    <li>
      ${h.link_to(nodename, h.url_for(controller='node',action='view',id=nodename))}: ${state.get('')}
    </li>
    %endfor
%endif
</ul>

<h2>${_(u"Activity of Nodes")}</h2>
<%doc>
<table>
  <tr><th>${_(u"Name")}</th><th>${_(u"Address")}</th><th>${_(u"State")}</th></tr>
  %for nodekey in c.node_conf_parser.sections():
    <tr>
      <td>${h.link_to(c.node_conf_parser.get(nodekey, 'name'), h.url_for(controller='node',action='view',id=nodekey))}</td>
      <td>${c.node_conf_parser.get(nodekey, 'ip')}:${c.node_conf_parser.get(nodekey, 'port')}</td>
      <td>${c.nodestates[nodekey]}</td></tr>
  %endfor
</table>
</%doc>

<h2>${_(u"Available HoneyClients")}</h2>
<ul>
%for hc in c.hcs:
    <li>${h.link_to(hc.name, h.url_for(controller='hc',action='show',id=hc.hcsid))}</li>
%endfor
</ul>

<h2>Redirector</h2>
<h3>State</h3>
${c.redirectorstate}

<h3>${_(u"Last served URLs")}</h3>
<ul>
%for rv in c.redirectorproxy_last_urls:
  <li>
     ${h.link_to(rv.url, h.url_for(controller='result',action='by_url',id='1'))}
     ${rv.hcsid}
     <%
     import datetime
     visit_timestamp = datetime.datetime.fromtimestamp(float(rv.date))
     context.write(str(visit_timestamp))
     %>
  </li>
%endfor
</ul>


<h3>${_(u"Next URLs")}</h3>
<ul>
%for url in c.redirectorproxy_next_urls:
  %if len(url) > 0:
  <li>${h.link_to(url, h.url_for(controller='result',action='by_url',id=url))}</li>
  %endif
%endfor
</ul>

${box_end()}

